<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Test time</title>
    <link rel="stylesheet"
          href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
          integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2"
          crossorigin="anonymous">
<body>
<div class="container">
    <form id="choosed" th:each="question : ${getAllQuestions}" action="">
        <p th:text="${question.getName()}"></p>
        <input type="radio" id="correctAnswer" name="value" th:value="${question.getCorrectAnswer()}">
        <label for="correctAnswer" th:text="${question.getCorrectAnswer()}"></label><br>
        <input type="radio" id="wrongAnswer1" name="value" th:value="${question.getWrongAnswer1()}">
        <label for="wrongAnswer1" th:text="${question.getWrongAnswer1()}"></label><br>
        <input type="radio" id="wrongAnswer2" name="value" th:value="${question.getWrongAnswer2()}">
        <label for="wrongAnswer2" th:text="${question.getWrongAnswer2()}"></label><br><br><br>
    </form>
<!--    <p   th:href="@{/api/v1/users/loadUserByUsername}+${principal.username}"></p>-->
    <p th:text="${currentUser}"></p>
    <p id="id" th:text="${currentUser2.getId()}"></p>
    <p sec:authentication="principal.username">User</p>
    <p></p>
    <input type="submit" value="Submit" onclick="getscore()">
    <div id="score">
    </div>
</div>
<script>

    async function getscore() {
        let radios = document.getElementsByName("value");
        let answers = [...radios.values()].filter(r => r.checked).filter(r => r.id == "correctAnswer").length
        console.log(answers);
        let correctAnswers = radios.length / 3
        console.log(correctAnswers);
        const score = (100 * answers) / correctAnswers;
        console.log(score);

        let node = document.createTextNode(score.toString());
        const finalScore = document.getElementById("score");
        finalScore.appendChild(node);

        console.log(parseInt(node.toString()));
        console.log(node);
        console.log(score);
        let testId = Number([[${testId}]]);
        console.log("testId " + testId);
        let userId = document.getElementById("id").innerText;
        console.log("userid" + userId);

        let s= "1";

        // let response = await fetch('http://localhost:8090/api/v1/results/save/score/', {
    //     method: 'POST',
    //         headers: {
    //         'Content-Type': 'application/json;charset=utf-8',
    //             'cache-control': 'no-cache'
    //     },
    //     // body: JSON.stringify(bodyResult)
    // });

    // let url = 'http://localhost:8090/api/v1/results/save?score=' + score + '&testId=' + testId + '&userId=' + userId;
    let url = 'http://localhost:8090/api/v1/results/save';
        let response = await fetch(url, {
            method: 'GET',
            headers: {
                'Content-Type': 'application/json;charset=utf-8',
                'cache-control': 'no-cache'
            },
            // contentType: 'application/json',
            // body: JSON.stringify({testId, userId, score:s})
            // body: JSON.stringify({testId}) // JSON.stringify(bodyResult)
        }).then(_ => console.log('cheers'));
        // let result = await response.json();
    }
</script>
</body>
</html>
